<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<!-- @author fabio.navarrete -->
<html xmlns="http://www.w3.org/1999/xhtml"
      xmlns:h="http://java.sun.com/jsf/html"
      xmlns:f="http://java.sun.com/jsf/core"
      xmlns:p="http://primefaces.org/ui"
      xmlns:composite="http://java.sun.com/jsf/composite">

    <composite:interface>
        <composite:attribute name="idTabla" required="true" />
        <composite:attribute name="tablaWV" required="true" />
        <composite:attribute name="unidadConstruccionConvencionalVigentes" required="true" />
        <composite:attribute name="unidadConstruccionConvencionalVigentesSeleccionadas" required="true" />
        <composite:attribute name="unidadConstruccionSeleccionada" required="true" />
        <composite:attribute name="managedBeanParam" required="true" />
        <composite:attribute name="detalleDialogWV" required="true" />
        <composite:attribute name="emptyMessage" default="No hay registros disponibles" />
        <composite:attribute name="muestraSeleccion" default="false" />
        <composite:attribute name="updateOnChange" />

        <composite:attribute name="onChange" method-signature="void action()" />
    </composite:interface>

    <composite:implementation>

        <div style="overflow: auto; width: 100%;">

            <p:dataTable var="unidadConstruccion"
                         id="#{cc.attrs.idTabla}"
                         widgetVar="#{cc.attrs.tablaWV}"
                         emptyMessage="#{cc.attrs.emptyMessage}"
                         rowKey="#{unidadConstruccion.id}"
                         value="#{cc.attrs.unidadConstruccionConvencionalVigentes}">
                <f:facet name="header">Unidades de construcción convencional</f:facet>

                <p:column>
                    <p:graphicImage value="/imagesColorCircles/datoModificado.png"
                                    height="13" width="13"
                                    rendered="#{unidadConstruccion.cancelaInscribe=='C'}"
                                    title="Cancelado #{unidadConstruccion.id}" />
                    <p:graphicImage value="/imagesColorCircles/datoFinal.png" height="13"
                                    width="13" rendered="#{unidadConstruccion.cancelaInscribe=='I'}"
                                    title="Inscrito #{unidadConstruccion.id}" />
                    <p:graphicImage value="/imagesColorCircles/datoInicial.png"
                                    height="13" width="13"
                                    rendered="#{unidadConstruccion.cancelaInscribe=='M'}" />
                    <h:selectBooleanCheckbox value="#{unidadConstruccion.selected}"
                                             rendered="#{cc.attrs.muestraSeleccion}" />
                </p:column>

                <p:column>
                    <f:facet name="header">Unidad</f:facet>
                    <h:outputText value="#{unidadConstruccion.unidad}" />
                </p:column>

                <p:column>
                    <f:facet name="header">Uso unidad</f:facet>
                    <h:outputText value="#{unidadConstruccion.usoConstruccion.nombre}" />
                </p:column>

                <p:column rendered="#{cc.attrs.managedBeanParam.vistaCompletaUC}">
                    <f:facet name="header">
                        Piso<br /> ubicación<br />unidad
                    </f:facet>
                    <h:outputText value="#{unidadConstruccion.pisoUbicacion}" />
                </p:column>

                <p:column rendered="#{cc.attrs.managedBeanParam.vistaCompletaUC}">
                    <f:facet name="header">
                        Total<br /> pisos<br />unidad
                    </f:facet>
                    <h:outputText value="#{unidadConstruccion.totalPisosUnidad}" />
                </p:column>

                <p:column rendered="#{cc.attrs.managedBeanParam.vistaCompletaUC}">
                    <f:facet name="header">Habitaciones</f:facet>
                    <h:outputText value="#{unidadConstruccion.totalHabitaciones}" />
                </p:column>

                <p:column rendered="#{cc.attrs.managedBeanParam.vistaCompletaUC}">
                    <f:facet name="header">Baños</f:facet>
                    <h:outputText value="#{unidadConstruccion.totalBanios}" />
                </p:column>

                <p:column rendered="#{cc.attrs.managedBeanParam.vistaCompletaUC}">
                    <f:facet name="header">Locales</f:facet>
                    <h:outputText value="#{unidadConstruccion.totalLocales}" />
                </p:column>

                <p:column>
                    <f:facet name="header">Puntos</f:facet>
                    <h:outputText value="#{unidadConstruccion.totalPuntaje}" />
                </p:column>

                <p:column>
                    <f:facet name="header">
                        Área (m2)<br />construida
                    </f:facet>
                    <h:outputText value="#{unidadConstruccion.areaConstruida}">
                        <f:convertNumber type="number" />
                    </h:outputText>
                </p:column>

                <p:column>
                    <f:facet name="header">
                        Valor m2
                    </f:facet>
                    <h:outputText value="#{unidadConstruccion.valorM2Construccion}">
                        <f:convertNumber type="number" />
                    </h:outputText>
                </p:column>

                <p:column>
                    <f:facet name="header">
                        Avalúo<br /> unidad
                    </f:facet>
                    <h:outputText value="#{unidadConstruccion.avaluo}">
                        <f:convertNumber type="number" />
                    </h:outputText>
                </p:column>

                <p:column rendered="#{cc.attrs.managedBeanParam.vistaCompletaUC}">
                    <f:facet name="header">
                        Año<br />construcción
                    </f:facet>
                    <h:outputText value="#{unidadConstruccion.anioConstruccion}" />
                </p:column>

                <p:column rendered="#{cc.attrs.managedBeanParam.vistaCompletaUC}">
                    <f:facet name="header">Tipo</f:facet>
                    <h:outputText value="#{unidadConstruccion.tipificacionValor}" />
                </p:column>

                <p:column rendered="#{cc.attrs.managedBeanParam.vistaCompletaUC}">
                    <f:facet name="header">Detalle</f:facet>
                    <p:commandButton title="Detalle" icon="ui-icon-search"
                                     action="#{cc.attrs.onChange}" ajax="true" process="@this"
                                     update="#{cc.attrs.updateOnChange}"
                                     oncomplete="#{cc.attrs.detalleDialogWV}.show()">					
                        <f:setPropertyActionListener
                            target="#{cc.attrs.unidadConstruccionSeleccionada}"
                            value="#{unidadConstruccion}" />
                        <f:setPropertyActionListener
                            target="#{proyectarConservacion.datosConstruccionSoloLectura}"
                            value="true" />
                        <f:setPropertyActionListener value="false"
                                                     target="#{proyectarConservacion.esNuevaUnidadConstruccion}" />
                    </p:commandButton>
                </p:column>
            </p:dataTable>
        </div>
    </composite:implementation>

</html>